%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
Name:           darkclient
Version:        0.2
Release:        13%{?dist}
Summary:        A command line tool for the darkserver service

Group:          Applications/System
License:        GPLv2+
URL:            https://github.com/kushaldas/%{name}
Source0:        http://kushal.fedorapeople.org/%{name}/%{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python2-setuptools python2-devel


%description
A command line tool which produces machine parse-able output from darkroom
service of GNU Buildids.


%prep
%setup -q


%build
%py2_build


%install
rm -rf $RPM_BUILD_ROOT
%py2_install
rm -rf $RPM_BUILD_ROOT/%{_datadir}/%{name}


%files
%doc README
%{_bindir}/%{name}
%config(noreplace)     %{_sysconfdir}/%{name}.conf
%{python2_sitelib}/%{name}-%{version}*.egg-info



%changelog
* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 14 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.2-12
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Aug 05 2013 Kushal Das <kushal@fedoraproject.org> - 0.2-5
- Fixing summary text of the spec

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Jun 27 2012 Kushal Das <kushal@fedoraproject.org> - 0.2
- 0.2 release

* Wed Apr 04 2011 Kushal Das <kushal@fedoraproject.org> - 0.1-3
- Using more macros

* Tue Apr 03 2011 Kushal Das <kushal@fedoraproject.org> - 0.1-2
- Added BR and macro name change

* Tue Apr 03 2011 Kushal Das <kushal@fedoraproject.org> - 0.1-1
- v0.1 release

